/* collide.h
 *
 * Collision prototypes
 *
 * Created: 9/7/97
 */

br_scalar c_CompareVertexWithPlane(br_vector3 *, br_vector4 *);
br_scalar c_CompareVertexWithTree(br_vector3 *, struct c_bsp *);
br_scalar c_CompareLineWithTree(br_vector4 **, br_vector3 *, br_vector3 *,
                                struct c_bsp *);
void c_IntersectLineWithPlane(br_vector3 *, br_vector3 *, br_vector3 *,
                              br_scalar, br_scalar);
struct c_chobj *c_CollidePointWithObjects(c_chobj *, br_scalar);
struct c_chobj *c_CollideLineWithObjects(br_vector3 **intersection, c_chobj *,
                                         br_scalar, br_uint_32);
void c_PlaneSlide(struct c_chobj *);
void c_PlaneClip(struct c_chobj *);
void c_GetCollisionState(struct c_chobj **, struct c_chobj **, br_vector4 **);
